summaryrefslogtreecommitdiff
path: root/nonsystemd/ntp-openrc/sntp.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/ntp-openrc/sntp.initd')
-rw-r--r--nonsystemd/ntp-openrc/sntp.initd26
1 files changed, 26 insertions, 0 deletions
diff --git a/nonsystemd/ntp-openrc/sntp.initd b/nonsystemd/ntp-openrc/sntp.initd
new file mode 100644
index 000000000..d58578a07
--- /dev/null
+++ b/nonsystemd/ntp-openrc/sntp.initd
@@ -0,0 +1,26 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+command="/usr/bin/sntp"
+
+depend() {
+ before cron portmap
+ after net
+ use dns logger
+}
+
+start_pre() {
+ if [ -z "${SNTP_OPTS}" ] ; then
+ eerror "Please edit /etc/conf.d/sntp"
+ eerror "I need to know what server/options to use!"
+ return 1
+ fi
+ return 0
+}
+
+start() {
+ ebegin "Setting clock via SNTP"
+ ${command} ${SNTP_OPTS}
+ eend $? "Failed to set clock"
+}